Maven
  1. Maven
  2. MNG-4957

Emit validation warning when project version uses irregular SNAPSHOT version string

    Details

    • Type: Task Task
    • Status: Closed Closed
    • Priority: Trivial Trivial
    • Resolution: Fixed
    • Affects Version/s: 3.0.1
    • Fix Version/s: 3.0.2
    • Component/s: POM
    • Labels:
      None
    • Complexity:
      Intermediate
    • Number of attachments :
      0

      Description

      As per discussions around MNG-4893 and Cleanup to SNAPSHOT version handling, we want to establisch *-SNAPSHOT as the only valid format for snapshot versioning. To communicate this to users that currently use SNAPSHOT or *.SNAPSHOT, we need to emit a model warning for projects using any of the deprecated forms.

        Issue Links

          Activity

          Hide
          Benjamin Bentmann added a comment -

          Done in r1054743:

          [WARNING] 'version' uses an unsupported snapshot version format, should be '*-SNAPSHOT' instead.
          
          Show
          Benjamin Bentmann added a comment - Done in r1054743 : [WARNING] 'version' uses an unsupported snapshot version format, should be '*-SNAPSHOT' instead.

            People

            • Assignee:
              Benjamin Bentmann
              Reporter:
              Benjamin Bentmann
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: